VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IRangeValueConverter Class Referenceabstract
Inheritance diagram for IRangeValueConverter:

## Public Member Functions
virtual void | setRange (IValue::Type minValue, IValue::Type maxValue)=0
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Member Function Documentation

virtual void setRange | ( | IValue::Type | minValue,
|  | IValue::Type | maxValue
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- value.h